# Get Manager Name

| HTTP method | Endpoint                                     |
| ----------- | -------------------------------------------- |
| **GET**     | **v1/accounts/account\_name/{account\_ids}** |

## Response body parameters

| Field         | Type   | Description                                  |
| ------------- | ------ | -------------------------------------------- |
| manager\_id   | int    | manager id                                   |
| manager\_name | string | the manager name corresponding to manager ID |

## Example request

**Request GET** <https://{networkname}.api.offerslook.com/v1/accounts/account_name/320,27,321,404,405,417>

## Example response

```
{
    "code": 0,
    "message": "Success",
    "data": [
        {
            "manager_id": 320,
            "manager_name": "Tingty Hee"
        },
        {
            "manager_id": 321,
            "manager_name": "affiliate manager"
        },
        {
            "manager_id": 417,
            "manager_name": "product test"
        },
        {
            "manager_id": 404,
            "manager_name": "Demo Offerslook"
        },
        {
            "manager_id": 405,
            "manager_name": "winson wei"
        },
        {
            "manager_id": 27,
            "manager_name": "Admin 2"
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/accounts_name/get_manager_name.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
